Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.util
Class ReferentialIntegrityException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.openjpa.util.OpenJPAException
                      org.apache.openjpa.util.StoreException
                          org.apache.openjpa.util.ReferentialIntegrityException

All Implemented Interfaces:
  Serializable, ExceptionInfo

    public class ReferentialIntegrityException

extends StoreException

Exception type reserved for violations of integrity constraints.

Author:
  Patrick Linskey
See Also:
  Serialized Form

Field Summary
`static int` | `IV_DUPLICATE_OID`
`static int` | `IV_MIXED`
`static int` | `IV_REFERENCE`
`static int` | `IV_UNIQUE`
`static int` | `IV_UNKNOWN`

Fields inherited from class org.apache.openjpa.util.StoreException
`LOCK, OBJECT_EXISTS, OBJECT_NOT_FOUND, OPTIMISTIC, REFERENTIAL_INTEGRITY`

Fields inherited from interface org.apache.openjpa.util.ExceptionInfo
`GENERAL, INTERNAL, STORE, UNSUPPORTED, USER`

Constructor Summary
`ReferentialIntegrityException(int iv)`
`ReferentialIntegrityException(String msg)`

Method Summary
`int` | `getIntegrityViolation()` The type of integrity violation that occurred.
`int` | `getSubtype()` Exception subtype.
`ReferentialIntegrityException` | `setIntegrityViolation(int iv)` The type of integrity violation that occurred.

Methods inherited from class org.apache.openjpa.util.StoreException
`getType`

Methods inherited from class org.apache.openjpa.util.OpenJPAException
`getCause, getFailedObject, getNestedThrowables, isFatal, printStackTrace, printStackTrace, printStackTrace, setCause, setFailedObject, setFatal, setNestedThrowables, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.util.ExceptionInfo
`getMessage`

Field Detail

### IV_UNKNOWN

    public static final int IV_UNKNOWN

See Also:
  Constant Field Values

### IV_DUPLICATE_OID

    public static final int IV_DUPLICATE_OID

See Also:
  Constant Field Values

### IV_UNIQUE

    public static final int IV_UNIQUE

See Also:
  Constant Field Values

### IV_REFERENCE

    public static final int IV_REFERENCE

See Also:
  Constant Field Values

### IV_MIXED

    public static final int IV_MIXED

See Also:
  Constant Field Values

Constructor Detail

### ReferentialIntegrityException

    public ReferentialIntegrityException(String msg)

### ReferentialIntegrityException

    public ReferentialIntegrityException(int iv)

Method Detail

### getSubtype

    public int getSubtype()

  Description copied from class: `OpenJPAException`
  Exception subtype.

  Specified by:
    `getSubtype` in interface `ExceptionInfo`
  Overrides:
    `getSubtype` in class `OpenJPAException`

### getIntegrityViolation

    public int getIntegrityViolation()

  The type of integrity violation that occurred.

### setIntegrityViolation

    public ReferentialIntegrityException setIntegrityViolation(int iv)

  The type of integrity violation that occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.